%define  patch_name kernel-feat-crypto

Name:           %{patch_name}
Version:        2003.10.02
Release:        alt1
Summary:        %patch_name kernel patch - support for various crypto API
License:        GPL
Group:          Development/Other
BuildArch:      noarch
BuildPreReq: kernel-build-tools

%source    0	00_00_cryptoapi-0.1.0.patch
%source    1	00_01_config.patch
%source    2	00_02_cryptoapi_rename_from_crypto.patch
%source    3	00_03-cryptoloop.patch
%source    4	00_04-cryptoloop-cryptoapi-rename.patch
%source  100	01_linux-2.4.20-lancrypto.patch
%source  200	02_linux-2.4.18-loop-cryptoapi.patch

URL: http://www.kerneli.org/

Packager:	Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
The CryptoAPI is a patch that provides cryptographic and digest support to kernel. 

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Thu Oct 02 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.02-alt1
- back to old cryptoapi from kerneli.org
- adapted lancrypto patch

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed int patch (mainstream, from 2.4.22)
- updated lancrypto patch for 2.4.22
- fix buildrequires

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.05.08-alt1
- crypto update

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- initial release


